roles ['consul_role']

gitlab_rails['auto_migrate'] = false

consul['enable'] = true
consul['configuration'] = {
  bind_addr: '{{ ansible_default_ipv4.address }}',
  retry_join: %w({{ (consul_int_ips if 'consul' in groups else gitlab_rails_int_ips) | join(' ') }}),
  node_meta: {{ consul_node_meta }},
}

confs = Dir.glob(File.join("/etc/gitlab/", "gitlab.*.rb"))
confs.each { |conf|
  from_file conf
}
